Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.manage
Interface ManagementConfiguration

All Superinterfaces:
  org.apache.openjpa.lib.util.Closeable, org.apache.openjpa.lib.conf.Configurable

All Known Implementing Classes:
  AbstractManagementConfiguration, ManagementConfigurationManagement, ManagementConfigurationManagementExport, ManagementConfigurationManagementJMX2Remote, ManagementConfigurationManagementJMX2RemoteExport, ManagementConfigurationManagementJMX2RemoteProfiling, ManagementConfigurationManagementLocal, ManagementConfigurationManagementLocalExport, ManagementConfigurationManagementLocalProfiling, ManagementConfigurationManagementMX4J1Remote, ManagementConfigurationManagementMX4J1RemoteExport, ManagementConfigurationManagementMX4J1RemoteProfiling, ManagementConfigurationManagementProfiling, ManagementConfigurationManagementWL81, ManagementConfigurationManagementWL81Export, ManagementConfigurationManagementWL81Profiling, ManagementConfigurationNone, ManagementConfigurationProfiling, ManagementConfigurationProfilingExport, ManagementConfigurationProfilingGUI, ManagementConfigurationProfilingJMX, ManagementConfigurationProfilingLocal

    public interface ManagementConfiguration

extends org.apache.openjpa.lib.conf.Configurable, org.apache.openjpa.lib.util.Closeable

Interface that allows for easy configuration of the management and profiling capabilities.

Method Summary
`void` | `closeManagement()`
`void` | `closeProfiling()`
`com.solarmetric.profile.ExecutionContextNameProvider` | `getExecutionContextNameProvider()`
`com.solarmetric.manage.jmx.MBeanProvider[]` | `getMBeanPlugins()`
`MBeanServer` | `getMBeanServer()`
`kodo.profile.KodoProfilingAgent` | `getProfilingAgent()`
`void` | `initManagement(MBeanServer server)`
`void` | `initProfiling(kodo.profile.KodoProfilingAgent agent)`

Methods inherited from interface org.apache.openjpa.lib.conf.Configurable
`endConfiguration, setConfiguration, startConfiguration`

Methods inherited from interface org.apache.openjpa.lib.util.Closeable
`close`

Method Detail

### getMBeanServer

    MBeanServer getMBeanServer()

### initManagement

    void initManagement(MBeanServer server)
                        throws Exception

  Throws:
    `Exception`

### closeManagement

    void closeManagement()

### getMBeanPlugins

    com.solarmetric.manage.jmx.MBeanProvider[] getMBeanPlugins()

### getProfilingAgent

    kodo.profile.KodoProfilingAgent getProfilingAgent()

### initProfiling

    void initProfiling(kodo.profile.KodoProfilingAgent agent)

### closeProfiling

    void closeProfiling()

### getExecutionContextNameProvider

    com.solarmetric.profile.ExecutionContextNameProvider getExecutionContextNameProvider()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.